program IsPrime;
  var N,i:longint;
      prime:boolean;
begin
  write('Введите N>1: ');readln(N);
  prime:=true; i:=2;
  while prime and (sqr(i)<=N) do
    if N mod i=0 then prime:=false else inc(i);
  if prime then writeln('Число ',N,' - простое')
  else writeln('Число ',N,' - составное');
  writeln('Нажмите клавишу Enter ...');
  readln;
end.
